Skip to main content
GET
/
api
/
public
/
v1
/
rentals
cURL
curl --request GET \
  --url https://api.boxpilote.fr/api/public/v1/rentals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "availability": "<string>",
      "dimensions": "<string>",
      "rental_number": "<string>",
      "surface_id": "<string>",
      "details": "<string>",
      "largeur": 123,
      "longueur": 123,
      "hauteur": 123
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
limit
integer
default:20

Items per page (default: 20, max: 100)

Required range: 1 <= x <= 100

Response

List of rentals with pagination

data
object[]
pagination
object